Bug 182290 - "ntlm_auth --help" blocked by selinux-policy-targeted
"ntlm_auth --help" blocked by selinux-policy-targeted
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: selinux-policy-targeted (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-02-21 12:27 EST by Ben Levenson
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0373
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:19:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2006-02-21 12:27:17 EST
Description of problem:
"/usr/bin/ntlm_auth --help" doesn't display anything on the controlling
terminal when enforcing=1

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.17.30-2.110.noarch

Actual results:
Feb 21 11:23:01 axe kernel: audit(1140538981.870:21): avc:  denied  { read write
} for  pid=4125 comm="ntlm_auth" name="1" dev=devpts ino=3
scontext=user_u:system_r:winbind_helper_t
tcontext=user_u:object_r:initrc_devpts_t tclass=chr_file
Feb 21 11:23:01 axe kernel: audit(1140538981.870:22): avc:  denied  { use } for
 pid=4125 comm="ntlm_auth" name="1" dev=devpts ino=3
scontext=user_u:system_r:winbind_helper_t tcontext=user_u:system_r:initrc_t
tclass=fd
Feb 21 11:23:01 axe kernel: audit(1140538981.870:23): avc:  denied  { use } for
 pid=4125 comm="ntlm_auth" name="1" dev=devpts ino=3
scontext=user_u:system_r:winbind_helper_t tcontext=user_u:system_r:initrc_t
tclass=fd
Feb 21 11:23:01 axe kernel: audit(1140538981.870:24): avc:  denied  { use } for
 pid=4125 comm="ntlm_auth" name="1" dev=devpts ino=3
scontext=user_u:system_r:winbind_helper_t tcontext=user_u:system_r:initrc_t
tclass=fd
Comment 1 Daniel Walsh 2006-02-21 12:42:11 EST
Could you checkout 
ftp://people.redhat.com/dwalsh/SELinux/RHEL4/u3/

selinux-policy-targeted and policycoreutils

It should be fixed there.
Comment 5 David Lawrence 2006-04-18 16:24:10 EDT
NEEDINFO_ENG has been deprecated in favor of NEEDINFO or ASSIGNED. Changing
status to ASSIGNED for ENG review.
Comment 6 James Antill 2006-04-25 13:23:34 EDT
 Is this still a problem, or should this BZ be closed?
Comment 7 Nalin Dahyabhai 2006-04-25 14:07:29 EDT
I can confirm that the problem still manifests as of today on a fully-updated
RHEL 4 system.  FWIW, it appears to work correctly in Raw Hide.
Comment 8 James Antill 2006-04-27 09:54:54 EDT
Fixed in errata: 1.17.30-2.133
Comment 14 Red Hat Bugzilla 2006-08-10 17:19:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0373.html

Note You need to log in before you can comment on or make changes to this bug.